# Generated by Django 4.0.3 on 2022-12-06 22:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Technnician',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('employee_number', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='VinVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('import_href', models.CharField(max_length=100, unique=True)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='ServiceAppointment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vin', models.CharField(max_length=100)),
                ('owner_name', models.CharField(max_length=100)),
                ('date_time', models.DateTimeField()),
                ('service_needed', models.CharField(max_length=200)),
                ('assigned_tech', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='technnician', to='service_rest.technnician')),
            ],
        ),
    ]
